• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required)

    iFath is an SHSH and APticket dumping application for Windows.

    If you're on iOS 5.0.1 already, then you're out of luck. Fortunately, those of us still on iOS 5.0 can save not only our SHSH blobs but also our APtickets, which are used in Apple's new firmware verification process. What does that mean? It means that if you're on iOS 5.0 right now, and you mess your iDevice up and need to restore (updates to iOS 5.0.1) then you can downgrade back to iOS 5.0 granted you used iFaith to save your APticket before you restored.

    Just to emphasize, if you are on iOS 5.0.1 already, you CANNOT downgrade to iOS 5.0. This is for people who have saved their APtickets on iOS 5.0 as they will be the only ones who can downgrade back from iOS 5.0.1 to iOS 5.0.

    An APticket is a piece of information. It's like a screenshot in a sense. When you are using Apple's iOS 5.0 firmware, your device has an APticket saved for iOS 5.0. When you update to iOS 5.0.1, your APticket changes to an iOS 5.0.1 APticket. This is how Apple keeps you from downgrading. By using iFaith, you can save not only your SHSH blobs, but also your current (iOS 5.0) APticket. That means that you can use the APticket that you had for iOS 5.0 to downgrade back to iOS 5.0 from iOS 5.0.1 since your iOS 5.0 APticket is still valid. If you don't save your APticket when you are on iOS 5.0, then your new APticket is the one that is given to you by iOS 5.0.1 which means that you don't have an APticket for iOS 5.0. Since you won't have an APticket for iOS 5.0 and you only have one for iOS 5.0.1, you can't downgrade back to iOS 5.0; iOS 5.0.1 is the lowest you will be able to go.

    Hopefully I clarified that enough for you all, honestly I barely even knew what iFaith did and I needed to research it a bit myself so bear with me.

    Currently, iFaith only supports Windows, as iH8sn0w is a Windows user himself. He is also the famed developer behind Sn0wbreeze which is also a Windows-only jailbreak tool. At this point in time, we don't know if a Mac version will be released, but all Macs can run Windows, so there's no issue with compatibility here.

    iFaith 1.4 for Windows can be downloaded for free here.

    iFaith release notes:
    PHP Code:
    iFaith v1.4 Release notes:
    ======================================
    Now dumps iOS 4.4.(Apple TV 2)/5.0.x apticket SHSH blobs!
    Dumping is MUCH faster.
    Full Windows XP support.
    Major code improvements.
    Bug fixes.

    **************************************
    ** 
    DOES NOT SUPPORT A5 DEVICES YET! **
    **************************************

    ======================================
    Now available athttp://iH8sn0w.com
    ======================================
    // iH8sn0w

    "You gotta believe in the voltage that lives inside us,
    So lets buckle up and break our walls down. (Whooooaahhoo)"
    -- @Skrillex 
    I recommend dumping your SHSH and APtickets if you're on iOS 5.0. It will make downgrading back to iOS 5.0 possible for you in the future (in fact, right now). Will you be downloading and using iFaith 1.4? Share in the comments below!

    Sources: iH8sn0w
    This article was originally published in forum thread: Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required) started by Anthony Bouchard View original post
    Comments 115 Comments
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by csglinux View Post
      Don't update to 5.0.1! Ultrasn0w hasn't yet been updated to work with 5.0.1 and you won't be able to unlock until that happens.
      I have AT&T so I do not need ultrasn0w to actually use my phone. I preserved the baseband for resell value, that is all. I appreciate the warnings, but I do know what I'm doing here.

      Quote Originally Posted by Z!G View Post
      What are you talking about iBooks fix. That issue was fixed long ago. Maybe its only Sn0wbreeze users that fixed it to, like I use. (Long time Redsn0w user but am currently addicted to Sn0wbreeze as it is so much faster and tetherd boot is twice as fast as and RedSn0w version). idk. But either way, there is an iBooks fix any way via a certain repo that installs a non-sandboxed iBooks (no matter what you used to JB, cuz you apply it through Cydia), so it works flawlessly, you cannot sync with iTunes at all with it. But just uninstall when you need to sync. I hate syncing with iTunes because I always restore as new device, and never from backup, and I always have the Music and Apps I need at first start up, but if you are constantly taking off and putting on music and apps, then this mite be kind of a hassle.

      No faith man, No faith. All ya gotta do is know what you are doing and the JB is smooth smooth smooth. BTW, Sn0wbreeze is awesome. And jailb reaks have not gottin longer and longer. They are exactly the same as they have always been. Except for Sn0wbreeze. Just rstore to Sn0wbreeze ipsw, boot tetherd visa iBooty (which boots your phone up twice as fast as Redsn0w does) and that is you are jail broken. But hey if you wanna give up on thats cool. To each gis own. I for one cannot live with an iPhone that doe snot have KuaiDial, MultiFl0w, MultiCleaner, biteSMS, and Backgroundr(yes backgrounder works on iOS 5 provided you install the correct deb file). But once you have your phone the way you want it, and dont screw around with with a bunch of jailbreak tweaks, there will be virtually no problems.
      Redsn0w never included an iBooks fix. I'm glad that sn0wbreeze works for you, I personally never had a good experience with it on the several phones I used it on. It was bad enough that I created my own Mac virtual Machine in order to create my own custom firmware with Pwnage Tool which has never given me the kind of problems sn0wbreeze has. I do sync back & forth with iTunes & I always set up my phone as new, again I am not new to jailbreaking.

      No Faith? I know what I'm doing & I'm going with past experience here. From that experience, redsn0w & Pwnage Tool have been consistently flawless while limera1n & sn0wbreeze came with nothing but problems for me & those I jailbroke for. Secondly, I have an old bootrom 3GS (as I stated in a previous post) so I don't need to use iBooty to boot tethered because my phone will always be untethered. I don't have a lot of tweaks on my phone to screw it up either, hence the reason I'm still on 4.3.3 since Pwnage Tool released for it. I certainly am not "giving up on that" whatever the hell that is. I don't care how fast a jailbreak is, I care if it is stable & all the bits work.

      But all of this still doesn't answer the question as to whether or not the new blobs apply to the 3GS old bootrom. I'd be curious to know.
    1. cowburnator's Avatar
      cowburnator -
      yay, finally i can downgrade to 4.3.3 knowing that when an untethered jb arrives i will be able to go back to 5.0.... good job iH8sn0w..
    1. Chad711's Avatar
      Chad711 -
      << Coolest icon ever. Other then that, get back to me when ya'll jb the ipad 2 on iOS 5.
    1. VerizonIphone4_help's Avatar
      VerizonIphone4_help -
      Quote Originally Posted by Z!G View Post
      What are you talking about iBooks fix. That issue was fixed long ago. Maybe its only Sn0wbreeze users that fixed it to, like I use. (Long time Redsn0w user but am currently addicted to Sn0wbreeze as it is so much faster and tetherd boot is twice as fast as and RedSn0w version). idk. But either way, there is an iBooks fix any way via a certain repo that installs a non-sandboxed iBooks (no matter what you used to JB, cuz you apply it through Cydia), so it works flawlessly, you cannot sync with iTunes at all with it. But just uninstall when you need to sync. I hate syncing with iTunes because I always restore as new device, and never from backup, and I always have the Music and Apps I need at first start up, but if you are constantly taking off and putting on music and apps, then this mite be kind of a hassle.

      No faith man, No faith. All ya gotta do is know what you are doing and the JB is smooth smooth smooth. BTW, Sn0wbreeze is awesome. And jailb reaks have not gottin longer and longer. They are exactly the same as they have always been. Except for Sn0wbreeze. Just rstore to Sn0wbreeze ipsw, boot tetherd visa iBooty (which boots your phone up twice as fast as Redsn0w does) and that is you are jail broken. But hey if you wanna give up on thats cool. To each gis own. I for one cannot live with an iPhone that doe snot have KuaiDial, MultiFl0w, MultiCleaner, biteSMS, and Backgroundr(yes backgrounder works on iOS 5 provided you install the correct deb file). But once you have your phone the way you want it, and dont screw around with with a bunch of jailbreak tweaks, there will be virtually no problems.
      @Z!G

      I'm still on untethered 4.2.1 - i'm quite proficient in most other aspects of JB related subjects but upgrading/downgrading i've never done before.

      I unfortunatly did NOT save my 5.0 shsh blobs nor am on 5.0 currently. If i upgrade to 5.0.1 while they are still signing it and use ifaith to save my 5.0.1 shsh and ap ticket (already have 5.0.1 shsh in tiny umbrella, but they are useless atm). can i downgrade back to 4.2.1 so i can enjoy all my JB items while waiting for a untethered for 5.0.1?

      If so can you point out a good tool to use, ultras=, acid, red, etc for a windows system for downgrading once I save the ap and shsh from 5.0.1? I'm quite competent just never had any experience what so ever and really don't want to be stuck on 5.0.1 with no way to get back to 4.2.1.

      thanks so much
    1. raduga's Avatar
      raduga -
      Quote Originally Posted by delusion950 View Post
      Never heard of FONZ.

      See you're abusing your power as mod you deleted my perfectly said comments. There was no insult of any sort.
      That's not moderator abuse.

      THIS is moderator abuse:

    1. ZĄG's Avatar
      ZĄG -
      Quote Originally Posted by VerizonIphone4_help View Post
      @Z!G

      I'm still on untethered 4.2.1 - i'm quite proficient in most other aspects of JB related subjects but upgrading/downgrading i've never done before.

      I unfortunatly did NOT save my 5.0 shsh blobs nor am on 5.0 currently. If i upgrade to 5.0.1 while they are still signing it and use ifaith to save my 5.0.1 shsh and ap ticket (already have 5.0.1 shsh in tiny umbrella, but they are useless atm). can i downgrade back to 4.2.1 so i can enjoy all my JB items while waiting for a untethered for 5.0.1?

      If so can you point out a good tool to use, ultras=, acid, red, etc for a windows system for downgrading once I save the ap and shsh from 5.0.1? I'm quite competent just never had any experience what so ever and really don't want to be stuck on 5.0.1 with no way to get back to 4.2.1.

      thanks so much
      No worrys mate. You can save 4.2.1 blobs with iFaith too. Just do that. Build your signed ipsw. Then upgrade to 5.0.1 (recommended to do this soon, never know when apple will release 5.1) then dump your shsh blobs for 5.0.1. So you can upgrade to 5.0.1 and downgrade to 4.2.1, provides you save your SHSH for 4.2.1 before upgrading. iFaith saves blobs for whatever iOS your phone is currently on. Including 4.2.1. Just please remember to use iFaith to extract the 4.2.1 blobs from your phone before upgrading. This way, no matter what you will always be able to downgrade back to 4.2.1 or 5.0.1. Even when there not being signed. You can find an a** load of YouTube videos on how to use iFaith. And it doesn't matter what version of iFaith the tutorial video is for, it works the same way it did before, well the procedure for saving blobs and restoring is the same. So there ya go. Aren't you lucky. Still on 4.2.1. With the ability to downgrade back to it! Wish I was.

      This new iFaith can save blobs for pretty much any iOS. I think it starts at 4.0 but not sure. But I do know for sure you can dump your 4.2.1 blobs so you have nothing to worry about.

      Hope this helps

      Oh and for a good tool to use I recommend the latest redsn0w. It will even jailbreak 4.2.1. So if you decide to downgrade back to 4.2.1 you can still use the same redsn0w version 0.9.9b8 I believe.

      Quote Originally Posted by Tario70 View Post
      I have AT&T so I do not need ultrasn0w to actually use my phone. I preserved the baseband for resell value, that is all. I appreciate the warnings, but I do know what I'm doing here.



      Redsn0w never included an iBooks fix. I'm glad that sn0wbreeze works for you, I personally never had a good experience with it on the several phones I used it on. It was bad enough that I created my own Mac virtual Machine in order to create my own custom firmware with Pwnage Tool which has never given me the kind of problems sn0wbreeze has. I do sync back & forth with iTunes & I always set up my phone as new, again I am not new to jailbreaking.

      No Faith? I know what I'm doing & I'm going with past experience here. From that experience, redsn0w & Pwnage Tool have been consistently flawless while limera1n & sn0wbreeze came with nothing but problems for me & those I jailbroke for. Secondly, I have an old bootrom 3GS (as I stated in a previous post) so I don't need to use iBooty to boot tethered because my phone will always be untethered. I don't have a lot of tweaks on my phone to screw it up either, hence the reason I'm still on 4.3.3 since Pwnage Tool released for it. I certainly am not "giving up on that" whatever the hell that is. I don't care how fast a jailbreak is, I care if it is stable & all the bits work.

      But all of this still doesn't answer the question as to whether or not the new blobs apply to the 3GS old bootrom. I'd be curious to know.
      Well I understand where you ate coming from. The earlier version of Sn0wbreeze also gave me nothing but problem and horrible battery drain. So I get that. But since I tried it once the version for 5.0 came cuz the process of jailbreaking is done during the restore process I noticed it had greatly improved. And once I seem how much faster it boots the phone tethered compared to redsn0w I just stuck with it. Just sinus know I do agree that redsn0w is the most stable jailbreak, well was until sn0wbreeze got its improvements. But now to me, with what I think is much experience with both tools, Sn0wbreeze and redsn0w are equally stable. I jailbroke my iPhone 4 5.0 and 5.0.1 (currently on 5.0.1 now) with Sm0wbreeze, and jailbroke my iPod touch 4G with redsn0w, just to see which one is more stable, I have only really seen one difference in the 2 tools and that is with the Sn0wbreeze jailbreak, I get white/blank jailbroken icons, which is easily fixed by launching a tweak/app called "springBuild" then respringing via IntelliScreenX Respring toggle. And the white/blank icons are back to normal. Every time. My experience anyway.

      Oh. And of coarse this apples to 3GS old bootrom. Or it would have said that it didn't. One forum I am a member of had this on front page news, with a list of devices that it is compatible with it, and iPhone 3GS WAS there.

      Oh wait. Let me. Correct myself. You cannot use 3GS old bootrom with ifaith. It's only new bootrom. Sorry. Not a 3GS user. My bad.
    1. ZĄG's Avatar
      ZĄG -
      Oh, and LimeRain is used in every single jailbreak tool. Whether it be windows or Mac. Including redsn0w and PwngTool. Idk. Just thought id tell ya that. If it wasnt for GeoHot's LimeRain exploit, there would be no jailbreak tool at all.
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by ZĄG View Post
      Oh, and LimeRain is used in every single jailbreak tool. Whether it be windows or Mac. Including redsn0w and PwngTool. Idk. Just thought id tell ya that. If it wasnt for GeoHot's LimeRain exploit, there would be no jailbreak tool at all.
      Well, except the userland jailbreaks (jailbreakme.com etc.)
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by ZĄG View Post
      Oh, and LimeRain is used in every single jailbreak tool. Whether it be windows or Mac. Including redsn0w and PwngTool. Idk. Just thought id tell ya that. If it wasnt for GeoHot's LimeRain exploit, there would be no jailbreak tool at all.
      The exploit is used but I was referring to the jaipbreak program Geohot released that used the exploit. I figured that was obvious given the context of the post.
    1. Z!G's Avatar
      Z!G -
      Quote Originally Posted by Simon View Post
      Well, except the userland jailbreaks (jailbreakme.com etc.)
      Oh yeah, your rite your rite. Forgot about them. Stupid me. But still if it wasn't for GeoHot's LimeRain exploit that would the only Jailbreak. Apparently (I do not know for sure) userland exploits can be easy to find via crash diagnostics but take a lot of time to make end user friendly, ans tend to not concentrate so hard on something that can easily be patched via an iOS update.

      Quote Originally Posted by Tario70 View Post
      The exploit is used but I was referring to the jaipbreak program Geohot released that used the exploit. I figured that was obvious given the context of the post.
      Yeah. I think too much into things sometimes. Sorry about that. I knew what ya meant, just thought id throw that out there in case you were un aware. Wasn't trying to make ya feel stupid or anything.lol. My bad.

      Quote Originally Posted by RRoD420 View Post
      Another question, when it builds the IPSW is it jailbroken? Does it include Cydia? Or once you have the ipsw from iFaith you can use that with sn0wbreeze or redsn0w?
      Nope. its not jailbroken. And Sn0wbreeze ipsw are not compatible with iFath. Unless this has changed in this version, which I doubt. You will have to use Redsn0w after downgrading

      Quote Originally Posted by Deeplock View Post
      wow.... first, we were told dont update from 4.x to 5.0 at all, which i didnt on all but one of my devices. then, we were told dont update from 5.0 to 5.0.1 since the ever elusive untethered jailbreak probably wont support 5.0.1 so my devices that are still on 4.x im screwed on since apple isnt signing 5.0 anymore and shsh blobs are device specific? Drat...!!!
      You are not screwed. Just save your 4.x blobs with iFaith, then upgrade to 5.0.1, and save them blobs, then downgrade back to whatever 4.x iOS you were on if you wish. when 5.0 untethered jailbreak is released, it will also apply to 5.0.1. So you are in no way screwed. 5.0.1 is the same as 5.0. The only difference is apple tried to fix battery problems on 5.0.1. That is it. I think a couple patches were made in it but them are obsolete as they have found exploits that work on 5.0 and 5.0.1. Now if you didnt save your blobs with iFaith on 5.0.1, theeeeeen you mite be screwed, as the JB for iOS 5.1 may take a while. As long as you hurry up and upgrade to 5.0.1 and save blobs, you will be able to enjoy an untetherd 5.0 JB. But if you wish to downgrade back to whatever 4.x you are on now, then save those blobs with iFaith before upgrading to save 5.0.1 blobs.


      Basically you have nothing to worry about provided you do as I mentioned above.

      Hope this helps.

      Quote Originally Posted by iYeow View Post
      I just tried it and it works like a charm (support up to iphone 4 ) Thanks to iFaith ,

      I am SOL on my other iphone 4 because i updated to 5.0.1
      I also wish I would have stayed on 5.0 to save my blobs, but oh well
      When untethered is released, it will be for 5.0 and 5.0.1. So really there is nothing to be bummed out about.
    1. deefruben's Avatar
      deefruben -
      can us people who are already on 5.0.1 save or blobs and tickets? Say something happens on 5.1 or further that isn't the best for some of us to jailbreak. Can we use this to downgrade back to 5.0.1 in the future?
    1. Z!G's Avatar
      Z!G -
      Quote Originally Posted by deefruben View Post
      can us people who are already on 5.0.1 save or blobs and tickets? Say something happens on 5.1 or further that isn't the best for some of us to jailbreak. Can we use this to downgrade back to 5.0.1 in the future?
      Um have you read anything on this thread. That is what iFaith does. That is the whole point of saving SHSH and APTickets.

      So the answer is yes. I recommend you download iFaith version 1.4 rite now. Dump your 5.0.1 blobs, and bulid an IPSW with them. iFaith pretty much walks you through the whole process.

      As long as you dump your blobs with iFaith, you will always be able to restore/downgrade to 5.0.1

      If ya need any help with this, PM me or email me. [email protected]. I'm happy to help.
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by Z!G View Post
      Oh yeah, your rite your rite. Forgot about them. Stupid me. But still if it wasn't for GeoHot's LimeRain exploit that would the only Jailbreak. Apparently (I do not know for sure) userland exploits can be easy to find via crash diagnostics but take a lot of time to make end user friendly, ans tend to not concentrate so hard on something that can easily be patched via an iOS update.



      Yeah. I think too much into things sometimes. Sorry about that. I knew what ya meant, just thought id throw that out there in case you were un aware. Wasn't trying to make ya feel stupid or anything.lol. My bad.
      I was probably too harsh in my reply, so for my part, my bad.

      In the end I still haven't gotten an answer as to whether or not the new blobs apply to the 3GS old bootrom. This thread is the first I've heard that it doesn't apply.
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by Tario70 View Post
      I was probably too harsh in my reply, so for my part, my bad.

      In the end I still haven't gotten an answer as to whether or not the new blobs apply to the 3GS old bootrom. This thread is the first I've heard that it doesn't apply.
      3GS old bootrom is fully pwned. So you should be able to get around these new nonce SHSH if you jailbreak your device with one of the jailbreaks that use the 24k pwn exploit and then restore to a custom 5.0 firmware. Haven't tried it myself but in theory it should work. So you could be on 5.0.1, jailbreak untethered with redsnow. Then load up a custom 5.0 firmware made with snowbreeze. The question then is why would you need to do that though since 5.0.1 is untethered and all future firmwares will be the same for 3GS old bootrom.
    1. DnBKiD521's Avatar
      DnBKiD521 -
      Frick frick frick.. The safari download manager for 5.0 screwed up my safari so I was forced to upgrade or deal with jacked up safari! two days too late!! Somebody shoot me please. I thought we were gonna be all good if we had shsh saved for 5.0 or I never even woulda thought about hitting that update button. Fml
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by Simon View Post
      3GS old bootrom is fully pwned. So you should be able to get around these new nonce SHSH if you jailbreak your device with one of the jailbreaks that use the 24k pwn exploit and then restore to a custom 5.0 firmware. Haven't tried it myself but in theory it should work. So you could be on 5.0.1, jailbreak untethered with redsnow. Then load up a custom 5.0 firmware made with snowbreeze. The question then is why would you need to do that though since 5.0.1 is untethered and all future firmwares will be the same for 3GS old bootrom.
      The answer is that I initially wanted to wait for an iBooks fix & of course for more Cydia apps to be functional with 5.0 or 5.0.1.

      Once 5.0.1 released & redsn0w didn't update to create a custom no BB firmware I decided I'd just wait for an update. Now though, many Cydia apps are up to date & I have a custom firmware I created with redsn0w for 5.0, but I didn't think I could go there since Apple isn't signing 5.0 anymore.

      So yea, that's it in a nutshell. I have my SHSH saved via tiny umbrella of 5.0, just thought it was useless at this time.
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by bleucrayonz View Post
      how big was the gerbil that crawled up your *** the moment you wrote all that sh*t?
      As big as yours when you decided to reply to my post.
    1. MYPHONEI's Avatar
      MYPHONEI -
      Quote Originally Posted by deefruben View Post
      can us people who are already on 5.0.1 save or blobs and tickets? Say something happens on 5.1 or further that isn't the best for some of us to jailbreak. Can we use this to downgrade back to 5.0.1 in the future?
      Every step of the way since Big Brother Apple is always trying to close Jailbreaking, no matter what people think or say, Apple wants to control what is on your Device 100%

      Its really not about Viruses, name a virus that has been on the Iphone ever?

      Save the ability to Jailbreak even with semitether. since it takes time for the real heroes of the story to give us a Jailbreak we need to be remain free.
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by mmaboi21 View Post
      Yikes, Wonder what ticked this guy off... Cool it bro. You helped absolutely nobody in this thread with your snarky comments.

      Ifaith works like a charm. Glad this signing mess got dealt with.
      nothing ticked me off since ppl decide to ask obvious questions i just obriviated on the questions they had or comments. i didnt help em just like their questions and remarks didnt help despite the information being there.

      Quote Originally Posted by RRoD420 View Post
      mods, please ban delusion950. he polluted this thread with garbage.


      thanks @iYeow
      when u write stupid sh*t like that you dont deserve to have membership at momdmyi. and if ur going to speak about posting garbage speak for about urself before u say sumtin about others.
    1. MYPHONEI's Avatar
      MYPHONEI -
      Quote Originally Posted by TooSlo View Post
      Reread what I posted. I couldn't care less about this article until it supports the 4S. It's bad journalism (once again) on Anthony's part. I should know better by now than to bother opening any of his "news stories" before just using bing to find the whole story.
      Bad Journalism? Are the facts wrong?
      Are the reporters to report and censor to only what 4s owners need and ignor the millions of others who own I devices that are not 4s?

      It's not just for or about you, its for all of us